pyFAI.utils package
===================

pyFAI.utils.bayes module
------------------------

.. automodule:: pyFAI.utils.bayes
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.decorators module
-----------------------------

.. automodule:: pyFAI.utils.decorators
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.ellipse module
--------------------------

.. automodule:: pyFAI.utils.ellipse
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.header_utils module
-------------------------------

.. automodule:: pyFAI.utils.header_utils
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.logging_utils module
--------------------------------

.. automodule:: pyFAI.utils.logging_utils
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.mathutil module
---------------------------

.. automodule:: pyFAI.utils.mathutil
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.orderedset module
-----------------------------

.. automodule:: pyFAI.utils.orderedset
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.setup module
------------------------

.. automodule:: pyFAI.utils.setup
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.shell module
------------------------

.. automodule:: pyFAI.utils.shell
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.utils.stringutil module
-----------------------------

.. automodule:: pyFAI.utils.stringutil
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: pyFAI.utils
    :members:
    :undoc-members:
    :show-inheritance:
